// EditNou.cpp : implementation file
//

#include "stdafx.h"
#include "wiz2.h"
#include "EditNou.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditNou

CEditNou::CEditNou()
{
}

CEditNou::~CEditNou()
{
}


BEGIN_MESSAGE_MAP(CEditNou, CEdit)
	//{{AFX_MSG_MAP(CEditNou)
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditNou message handlers

void CEditNou::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	if (isalpha(nChar)) 
	{	
		if(islower(nChar)) nChar -=32;
//		DefWindowProc(WM_CHAR, nChar,MAKELONG(nRepCnt, nFlags));
		DefWindowProc(WM_CHAR, nChar,0);
		nChar=' ';
		DefWindowProc(WM_CHAR, nChar,0);
//		DefWindowProc(WM_CHAR, nChar,MAKELONG(nRepCnt, nFlags));
	}
   if (nChar == VK_BACK) {
	   DefWindowProc(WM_CHAR, nChar,0);
	   DefWindowProc(WM_CHAR, nChar,0);
   }
}
